Skip to content

Questions List ​

http
GET /api/v1/questions

Base URL: https://feedbacks-api.wildberries.ru · Module: communications · Section: Questions · Specification doc ↗

The method allows you to get a list of questions by the specified parameters with pagination and sorting. It is possible to get a maximum of 10,000 questions per query

Request limit per one seller account for all methods in the Feedbacks and Questions category:

TypePeriodLimitIntervalBurst
Personal1 s3 requests333 ms6 requests
Service1 s3 requests333 ms6 requests
Base with secret1 s3 requests333 ms6 requests
Base1 h5 requests12 min1 request

Parameters ​

NameInTypeReq.Description
isAnsweredquerybooleanyesThe question is answered: - true — yes - false — no
nmIdqueryinteger<int64>noWB item number
takequeryinteger<int64>yesNumber of requested questions (the maximum possible value for the parameter is 10,000, and the total amount of take and skip parameters must not exceed 10,000)
skipqueryinteger<int64>yesNumber of questions to skip (maximum possible value for the parameter is 10,000, and the total amount of take and skip parameters must not exceed 10,000)
orderquerystringnoSorting questions by date (dateAsc/dateDesc)
dateFromqueryinteger<int64>noThe start date of the period in Unix timestamp format
dateToqueryinteger<int64>noThe end date of the period in Unix timestamp format

Responses ​

CodeDescriptionSchema
200SuccessGetV1QuestionsResponse200
400Bad requestresponseFeedbackQuestionErr
401Unauthorizedobject
402Payment requiredobject
403Access deniedresponseFeedbackQuestionErr
429Too many requestsobject

Structure 200:

  • data object
    • countUnanswered integer<int64> — Number of unanswered questions
    • countArchive integer<int64> — Number of questions answered
    • questions object[] — Questions
      • id string — question id
      • text string — question text
      • createdDate string — Date and time the question was created
      • state string — Question status: - none — question rejected by seller (this question doesn't appear on the buyer portal) - wbRu — answer provided, the question is displayed on the buyers site - suppliersPortalSynch - new question
      • answer object — Answer structure
        • text string — Answer text
        • editable boolean — Ability to edit answer (false - unable, true - able to)
        • createDate string — Date and time the answer was created
      • productDetails object — Item information
        • nmId integer<int64> — WB item number
        • imtId integer<int64> — Merged listing ID
        • productName string — Item name
        • supplierArticle string — Seller item number
        • supplierName string — Seller's name
        • brandName string — Brand name
      • wasViewed boolean — If the question was viewed
      • isWarned boolean — Suspicious question indicator. If true, the question is published, but on the seller portal, you will see a banner saying **Suspicious message**
  • error boolean — Error presence
  • errorText string — Error description
  • additionalErrors string[] — Additional errors

Structure 400:

  • data object
  • error boolean — Error flag
  • errorText string — Error description
  • additionalErrors string[] — Additional errors
  • requestId string

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • data object
  • error boolean — Error flag
  • errorText string — Error description
  • additionalErrors string[] — Additional errors
  • requestId string

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.communications import Configuration, ApiClient
from wb_api_client.communications.api import CommunicationsApi

cfg = Configuration(access_token="<your WB JWT>")
api = CommunicationsApi(ApiClient(cfg))

result = api.get_v1_questions(is_answered=..., take=..., skip=..., nm_id=..., order=..., date_from=..., date_to=...)
print(result)
ts
import {
  Configuration,
  CommunicationsApi,
} from "@valeryverkhoturov/wb-api-client/communications";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new CommunicationsApi(cfg);

const { data } = await api.getV1Questions(isAnswered, take, skip, nmId, order, dateFrom, dateTo);
console.log(data);
go
import (
	"context"
	"fmt"

	wbcommunications "github.com/ValeryVerkhoturov/wb-api-client-go/communications"
)

cfg := wbcommunications.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbcommunications.NewAPIClient(cfg)

result, _, err := client.CommunicationsAPI.GetV1Questions(context.Background()).IsAnswered(isAnswered).Take(take).Skip(skip).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.communications.ApiClient;
import io.github.valeryverkhoturov.wbapi.communications.SecretString;
import io.github.valeryverkhoturov.wbapi.communications.api.CommunicationsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
CommunicationsApi api = new CommunicationsApi(client);

System.out.println(api.getV1Questions(isAnswered, take, skip, nmId, order, dateFrom, dateTo));
php
use ValeryVerkhoturov\WbApiClient\Communications\Configuration;
use ValeryVerkhoturov\WbApiClient\Communications\SecretString;
use ValeryVerkhoturov\WbApiClient\Communications\Api\CommunicationsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new CommunicationsApi(new Client(), $config);

print_r($api->getV1Questions($is_answered, $take, $skip));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый CommunicationsApi(Настройки);

Сообщить(Клиент.GetV1Questions(isAnswered, take, skip).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Communications.Api;
using ValeryVerkhoturov.WbApiClient.Communications.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new CommunicationsApi(config);

Console.WriteLine(api.GetV1Questions(isAnswered, take, skip));
rust
use wb_api_client::communications::apis::{configuration::Configuration, communications_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = communications_api::get_v1_questions(&cfg, is_answered, take, skip, nm_id, order, date_from, date_to).await;
    println!("{:#?}", result);
}